Skip to content

List Endpoint

GET
/api/v1/chart-annotations
curl --request GET \
--url 'https://example.com/api/v1/chart-annotations?limit=50&offset=0'
limit
Limit
integer
default: 50 >= 1 <= 250
offset
Offset
integer
0

Successful Response

Media typeapplication/json
Response List Endpoint Api V1 Chart Annotations Get
Array<object>
ChartAnnotationOut
object
id
required
Id
integer
user_id
required
User Id
integer
date
required
Date
string format: date
label
required
Label
string
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time

Example generated

[
{
"id": 1,
"user_id": 1,
"date": "2026-04-15",
"label": "example",
"created_at": "2026-04-15T12:00:00Z",
"updated_at": "2026-04-15T12:00:00Z"
}
]

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}